Bug#507669: libwww-perl: Authen::NTLM missing

Philipp Kolmann philipp at kolmann.at
Wed Dec 3 13:57:47 UTC 2008

Package: libwww-perl
Version: 5.820-1
Severity: wishlist


I am currently trying to do a SOAP:lite connection to an MS Server. There I'd
like to authenticate via LWP::Authen::Ntlm.

LWP::Authen::Ntlm is in libwww-perl but it depends on Authen::NTLM which isn't
available as debian package.

I'd like to see a Authen::NTLM debian package sometime in the future.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages libwww-perl depends on:
ii  libhtml-parser-perl        3.59-1        A collection of modules that parse
ii  libhtml-tagset-perl        3.20-2        Data tables pertaining to HTML
ii  libhtml-tree-perl          3.23-1        represent and create HTML syntax t
ii  liburi-perl                1.35.dfsg.1-1 Manipulates and accesses URI strin
ii  netbase                    4.34          Basic TCP/IP networking system
ii  perl [libdigest-md5-perl]  5.10.0-18     Larry Wall's Practical Extraction 

Versions of packages libwww-perl recommends:
ii  libcompress-zlib-perl         2.015-1    Perl module for creation and manip
ii  libhtml-format-perl           2.04-2     format HTML syntax trees into text
ii  libmailtools-perl             2.04-1     Manipulate email in perl programs

Versions of packages libwww-perl suggests:
ii  libio-socket-ssl-perl         1.18-1     Perl module implementing object or

-- no debconf information

More information about the pkg-perl-maintainers mailing list